# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: perl(LWP/UserAgent.pm) perl(Math/BigInt.pm) python-devel
# END SourceDeps(oneline)
Group: Video
BuildRequires: libavcodec-devel libavformat-devel libass-devel
%global         date 20121114
%global         gitcommit 96c3415
%global         gitcommit_full 96c34153cf8d6acc20590143e6585b439f9698df


Name:           mplayer2
Version:        2.0
Release:        alt1_2.20121114git96c3415
Summary:        Movie player playing most video formats and DVDs
Epoch:          1

License:        GPLv3+
URL:            http://www.mplayer2.org/
Source0:        http://git.mplayer2.org/mplayer2-build/snapshot/mplayer2-build-2.0.git.tar.xz
Source1:        mplayer.conf
Source2:        input.conf
Source3:        mplayer2.desktop

BuildRequires:  yasm
BuildRequires:  libalsa-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libfreetype-devel >= 2.0.9
BuildRequires:  libXinerama-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  liblirc-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libXv-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libXxf86dga-devel
BuildRequires:  aalib-devel
BuildRequires:  libcaca-devel
BuildRequires:  svgalib-devel
BuildRequires:  libmng-devel
BuildRequires:  libungif-devel
BuildRequires:  libSDL-devel
BuildRequires:  libpulseaudio-devel
BuildRequires:  libbluray-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  cdparanoia-devel
BuildRequires:  libenca-devel
BuildRequires:  libmad-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libspeex-devel >= 1.1
BuildRequires:  libtheora-devel
BuildRequires:  libmpg123-devel
BuildRequires:  liba52-devel
BuildRequires:  libdca-devel
BuildRequires:  libfaad-devel
BuildRequires:  ladspa_sdk
BuildRequires:  libbs2b-devel
BuildRequires:  libnemesi-devel
#BuildRequires:  live555-devel
BuildRequires:  libdv-devel >= 0.9.5
BuildRequires:  libxvid-devel
BuildRequires:  libtool
BuildRequires:  python3
BuildRequires:  python-module-docutils
#BuildRequires:  libva-devel

#BuildRequires:  em8300-devel
BuildRequires:  fribidi-devel
Source44: import.info
#BuildRequires:  lame-devel
#BuildRequires:  libjpeg-devel
#BuildRequires:  libmpeg2-devel
#BuildRequires:  lzo-devel >= 2
#BuildRequires:  schroedinger-devel
#BuildRequires:  twolame-devel
#BuildRequires:  x264-devel >= 0.0.0-0.28
#BuildRequires:  libvpx-devel


%description
MPlayer2 is an advanced general-purpose video player.
A fork of the original MPlayer project, it contains
significant further development and supports a number
of features not available in other Unix players, such
as Matroska external chapters.

%prep
%setup -q -n %{name}-build-2.0.git

echo "--prefix=%{_prefix}
--bindir=%{_bindir}
--datadir=%{_datadir}/%{name}
--mandir=%{_mandir}
--confdir=%{_sysconfdir}/%{name}
--libdir=%{_libdir}
--codecsdir=%{_libdir}/codecs
--extra-cflags=$RPM_OPT_FLAGS
--enable-radio
--enable-radio-capture
--enable-translation
--charset= utf8
#--language-man=all
--enable-runtime-cpudetection
#--enable-live
" >> mplayer_options

#echo "--enable-vaapi
echo "--enable-runtime-cpudetect
" >> libav_options
sed -i -e 's,rst2man ,rst2man.py ,g' mplayer/Makefile

#sed -i -e "s|'--disable-devices', '--disable-vaapi'|'--disable-devices'|" "script/libav-config" ;

# fix man pages not being UTF8
# doconv() {
#     iconv -f $1 -t $2 -o mplayer/DOCS/man/$3/mplayer.1.utf8 mplayer/DOCS/man/$3/mplayer.1 && \
#     mv mplayer/DOCS/man/$3/mplayer.1.utf8 mplayer/DOCS/man/$3/mplayer.1
# }
# 
# for lang in de es fr it ; do doconv iso-8859-1 utf-8 $lang ; done
# for lang in hu pl ; do doconv iso-8859-2 utf-8 $lang ; done
# for lang in ru ; do doconv koi8-r utf-8 $lang ; done


%build
# mp3lib looks broken => disabling
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# move man pages and bindir
mv $RPM_BUILD_ROOT%{_bindir}/mplayer $RPM_BUILD_ROOT%{_bindir}/%{name}

find $RPM_BUILD_ROOT%{_mandir} -name "mplayer*" | while read -r file; do \
    mv $file $(echo "$file" | sed -e "s/mplayer.1/mplayer2.1/"); \
done

install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/input.conf
install -D -m0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc mplayer/AUTHORS mplayer/Copyright mplayer/LICENSE
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Nov 21 2012 Igor Vlasenko <viy@altlinux.ru> 1:2.0-alt1_2.20121114git96c3415
- update to new release by fcimport

* Thu Nov 15 2012 Igor Vlasenko <viy@altlinux.ru> 1:2.0-alt1_1.20121114git96c3415
- new version

* Wed Aug 22 2012 Igor Vlasenko <viy@altlinux.ru> 1:2.0-alt1_1.20120820gitc62dbb8
- new snapshot

* Fri May 04 2012 Igor Vlasenko <viy@altlinux.ru> 2.0.20120424gitb711624-alt1_1
- new fc release

